curl --request GET \
--url https://api.kajabi.com/v1/blog_posts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "blog_posts",
"attributes": {
"title": "<string>",
"url": "<string>",
"content": "<string>",
"slug": "<string>",
"page_title": "<string>",
"page_description": "<string>",
"published_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"blog": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Returns a list of blog posts which the current user may access
Use page[number] and page[size] parameters to paginate results:
GET /v1/blog_posts[number]=1&page[size]=10GET /v1/blog_posts[number]=2&page[size]=25Use the fields[blog_posts] parameter to request only specific attributes:
GET /v1/blog_posts?fields[blog_posts]=titleUse the sort parameter to sort the results:
GET /v1/blog_posts?sort=-published_at&fields[blog_posts]=titleUse the filter[site_id] parameter to get blog posts for a specific site:
GET /v1/blog_posts?filter[site_id]=123List of attributes that may be used to filter: title, content, slug, page_title, page_description, published_at, created_at, updated_at, image_url, image_alt_text, tags
The filter param uses the following syntax: filter[attribute_name_suffix] with suffix for comparison:
eq for equalscont for containsnot_eq for not equalsnot_cont for not containsstart for starts withend for ends withFor example:
GET /v1/blog_posts?filter[title_start]=AnnouncingGET /v1/blog_posts?filter[title_cont]=Announcingcurl --request GET \
--url https://api.kajabi.com/v1/blog_posts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "blog_posts",
"attributes": {
"title": "<string>",
"url": "<string>",
"content": "<string>",
"slug": "<string>",
"page_title": "<string>",
"page_description": "<string>",
"published_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"blog": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Sort order, use: title for descending order use '-' e.g. &sort=-title
Number of documents
Partial attributes as specified, e.g. fields[blog_posts]=title
Filter by title contains, for example ?filter[title_cont]=hello
Was this page helpful?